Skip to main content
End Users API

List End User

GET /end-users/list

Returns the a list of existing End Users associated to a business.

Available Filters

This endpoint supports advanced filtering and search capabilities based on the parameters below.
The parameters should be appended to the API URL as follows:

 https://api.druo.com/end-users/list?uuid=eur_1231-123123-123123-1234&end_user_email=j.smith@example.com.
Category Query Parameter Description
General type The end user's type.
General uuid The end user's uuid.
General code The end user's code.
General primary_reference The end of creation date range in GMT time.
General secondary_reference Any value contained within the secondary reference.
General date_from The beginning of the creation date range in GMT time.
General date_to The end of creation date range in GMT time.
General email The end user's email.
General local_id The end user's local id.
General first_name The end user's first name.
General last_name The end user's last name.
General organization The end user's organization.
Merchant merchant_id Any end user with this merchant_id.

Response Fields

uuid

string

The End User’s UUID.

Example value:  eur_747536f4-1efd-4cad-91b3-cc8aaeed93e3

code

string

The End User’s code.

Example value:  ECSCDSVFGH

type

string

The type of end user. Whether a company or an individual.

Example value:  COMPANY

first_name

string

The user’s first name.

Example value:  John

last_name

string

The user’s last name.

Example value:  Smith

organization

string

The organization’s name.

Example value:  DRUO

local_id

string

The user’s ID number.

Example value:  45235553

local_id_type

string

The user’s ID type.

Example value:  NATIONAL_ID

local_id_country

string

The user’s citizenship in 3-letter ISO code.

Example value:  COL

date_of_birth

string

The user’s date of birth in YYYY-MM-DD format.

Example value:  2021-07-19

email

string

The user’s phone number.

Example value:  john.smith@gmail.com

phone_number

object

The user’s phone number.

Example Value:

"phone_number": {
            "country_code": 57,
            "number": 3002328080
 }

Attributes

  • country_code* | string | The user’s phone number’s country code.
  • number* | number | The user’s phone number without country code.

* Both fields required

address

Address

The user’s address.

Example Value:

"address": {
            "address_line_1": "Calle 1 # 19A - 91",
            "address_line_2": "Casa",
            "address_line_3": "#2",
            "locality": "4",
            "sublocality": "k",
            "administrative_district": "fo",
            "postal_code": "111101",
            "country": "COL"
        },

Attributes

  • address_line1 | string | Address line 1.
  • address_line2 | string | Address line 2.
  • address_line3 | string | Address line 3.
  • locality | string | Locality of the provided address.
  • sublocality | string | Sublocality of the provided address.
  • adminisrative_district | string | Administrative disctrict of the provided address.
  • postal_code | string | Postal code of the provided address.
  • country | Country | Country of the provided address
preferred_language

string

The user’s preferred language. Used for system notifications.

Example value:  en_US

note

string

A custom note associated with this end user.

Example value:  This is a special customer.

primary_reference

string

The End User’s primary reference. Can be any value to associate the end user to an entity in an external system.

Example value:  23423524

secondary_reference

string

The End User’s secondary reference. Can be any value to associate the end user to an entity in an external system.

Example value:  bj39fhow39fhqp3f0hfae4344

metadata

 

string

Set of key-value pairs that you can attach to an object. You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long.

Example value:  {"order_id": "6735"}

creation_source

 

string

The channel through which the end user was created.

date_created_gmt

date-time

Create date of the end user

Example value:  2021-11-15T23:23:38Z

date_updated_gmt

date-time

Updated date of the end user

Example value:  2021-11-15T23:23:38Z

GET /end-users/list
curl --location 'https://api.druo.com/end-users/list?page_size=1' \
--header 'Authorization: Bearer ACCESS_TOKEN'
Response
{
    "end_users": [
        {
            "uuid": "eur_fddecc16-2ab1-4db5-a295-25f19e69bec3",
            "code": "E9K9HRFTRP7",
            "type": "INDIVIDUAL",
            "first_name": "John",
            "last_name": "Doe",
            "organization": null,
            "local_id": "987654321",
            "local_id_type": "DRIVERS_LICENSE",
            "local_id_country": "USA",
            "date_of_birth": null,
            "email": "john.doe@example.com",
            "phone_number": {
                "country_code": 1,
                "number": 2025550198
             },
            "address": {
                "address_line_1": "1600 Pennsylvania Ave NW",
                "address_line_2": "Apt 101",
                "address_line_3": null,
                "locality": "Washington",
                "sublocality": null,
                "administrative_district": "DC",
                "postal_code": "20500",
                "country": "USA"
            },
            "preferred_language": "en_US",
            "note": null,
            "primary_reference": null,
            "secondary_reference": null,
            "metadata": {},
            "creation_source": "MERCHANT_API",
            "date_created_gmt": "2023-10-09T16:00:30.115Z",
            "date_updated_gmt": "2023-10-09T16:00:30.115Z"
        }
    ],
    "page_info": {
        "has_next_page": true,
        "page_size": 1
    }
}